SDL_DestroyRWLock(3)

NAME
SDL_DestroyRWLock - Destroy a read/write lock created with SDL_CreateRWLock().

SYNOPSIS
#include <SDL3/SDL_mutex.h>

void SDL_DestroyRWLock(SDL_RWLock *rwlock);

DESCRIPTION
This function must be called on any read/write lock that is no longer needed. Failure to destroy a rwlock will result in a system memory or resource leak. While it is safe to destroy a rwlock that is _unlocked_, it is not safe to attempt to destroy a locked rwlock, and may result in undefined behavior depending on the platform.

FUNCTION PARAMETERS

rwlock
    the rwlock to destroy.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateRWLock(3)